%define name lslk
%define version 1.29
%define release 5mdk

Summary: A lock file lister.
Name: %name
Version: %version
Release: %release
License: GPL style
Group: Monitoring
URL: ftp://vic.cc.purdue.edu:/pub/tools/unix/lslk/
Source: ftp://vic.cc.purdue.edu/pub/tools/unix/lslk/lslk_%{version}_W.tar.bz2
Buildroot: %_tmppath/%name-buildroot

%description
Lslk is a lock file lister.  Lslk attempts to list all of the locks on
the executing system's local files (i.e., on the active inodes).

Install lslk if you need a utility for listing file locks.

%prep
%setup -q -c -n lslk
tar xf lslk_%version.tar
[ -d lslk_%version ] && cd lslk_%version

%build
[ -d lslk_%version ] && cd lslk_%version
./Configure -n linux
%make DEBUG="$RPM_OPT_FLAGS" CFGF=-DLINUXV=228

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_sbindir
mkdir -p $RPM_BUILD_ROOT%_mandir/man8

[ -d lslk_%version ] && cd lslk_%version
install -s lslk $RPM_BUILD_ROOT%_sbindir
install lslk.8 $RPM_BUILD_ROOT%_mandir/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# XXX should be mode 4755, but for now leave the setuid off
%attr(0755,root,kmem) %_sbindir/lslk
%_mandir/man8/lslk.8*

%changelog
* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.29-5mdk
- rebuild
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- use %%make macro

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.29-4mdk
- rebuild

* Wed Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.29-3mdk
- rebuild

* Mon Jul 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.29-2mdk
- fix license

* Fri Jul 27 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.29-1mdk
- updated to 1.29

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.27-2mdk
- add URL

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.27-1mdk
- updated to 1.27
- build for gcc-2.96

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.25-3mdk
- BM

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.25-2mdk
- spechelper fixes
- group fix

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- 1.25
- Build Release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- remove setgid kmem "just in case".

* Tue Nov 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.19.

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- create.
- leave the setuid root off.
